cgSetBoolStateAssignment(3)

NAME
cgSetBoolStateAssignment - set the value of a bool state assignment

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgSetBoolStateAssignment( CGstateassignment sa,
                                   CGbool value );

PARAMETERS

sa  A handle to a state assignment of type CG_BOOL.

value
    The value to which sa will be set.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetBoolStateAssignment sets the value of a state assignment of bool type.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a bool type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

HISTORY
cgSetBoolStateAssignment was introduced in Cg 1.5.

SEE ALSO
the cgGetBoolStateAssignmentValues manpage, the cgSetBoolArrayStateAssignment manpage, the cgSetFloatArrayStateAssignment manpage, the cgSetFloatStateAssignment manpage, the cgSetIntArrayStateAssignment manpage, the cgSetIntStateAssignment manpage, the cgSetProgramStateAssignment manpage, the cgSetSamplerStateAssignment manpage, the cgSetStringStateAssignment manpage, the cgSetTextureStateAssignment manpage